## visad.data.hdf5.hdf5objects
Class HDF5Object

    java.lang.Object
      visad.data.hdf5.hdf5objects.HDF5Object

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  HDF5Dataset, HDF5Dataspace, HDF5Datatype, HDF5File, HDF5Group

public class HDF5Object
extends Object
implements Serializable

HDF5Object is an HDF5Object which is the super class of all the HDF5 objects. Each HDF5 object inherits all the methods and fields of the HDF5Object and may override inherited methods.

HDF5 files are organized in a hierarchical structure, with two primary structures (or objects): groups and datasets.

        HDF5Group: a grouping structure containing instances of zero or more
             groups or datasets, together with supporting metadata.
        HDF5Dataset: a multidimensional array of data elements, together with
             supporting metadata.

Other HDF5 objects include

- HDF5Attribute: small datasets to be attached to primary datasets as metadata information.
- HDF5Dataspace: a dataspace describes the locations that dataset elements are located at.
- HDF5Datatype: a data type is a collection of data type properties.
- HDF5Propertylist: a property list is a collection of name/value pairs which can be passed to various other HDF5 functions.

See Also:
  Serialized Form

Field Summary
`static int` `ATTRIBUTE`
`static int` `DATASET` Object is a dataset
`static int` `DATASPACE`
`static int` `DATATYPE`
`protected String` `description` the short description of the HDF5 object
`static int` `GROUP` Object is a group
`static int` `HDF5FILE`
`protected int` `id` the identifier of the HDF5 object
`static int` `LINK` Object is a symbolic link
`protected String` `name` the full path name of the HDF5 object
`protected String` `shortName` the short name for display: name without path
`protected int` `type` the type of the object
`static int` `UNKNOWN` Unknown object type

Constructor Summary
`HDF5Object()` construct an HDF5 object with defaults
`HDF5Object(String objName)` cosntruct an HDF5Object object name

Method Summary
`String` `getDescription()` Returns the description of the HDF5Object
`int` `getID()` Returns the identifier of the HDF5Object
`String` `getName()` Returns the full name of the HDF5Object
`String` `getShortName()` Returns the short name of the HDF5Object
`int` `getType()` Returns the type of the object
`void` `init()` initialize the HDF5Object: open the HDF5 library.
`void` `setID(int new_id)` reset the HDF5Object for a given id
`void` `setShortName(String sname)` Sets the short name of the HDF5Object
`void` `setType(int t)` Sets the type of the object
`String` `toString()` Converts this object to a String representation.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### UNKNOWN

    public static final int UNKNOWN

  Unknown object type

  See Also:
    Constant Field Values

### LINK

    public static final int LINK

  Object is a symbolic link

  See Also:
    Constant Field Values

### GROUP

    public static final int GROUP

  Object is a group

  See Also:
    Constant Field Values

### DATASET

    public static final int DATASET

  Object is a dataset

  See Also:
    Constant Field Values

### DATATYPE

    public static final int DATATYPE

See Also:
  Constant Field Values

### DATASPACE

    public static final int DATASPACE

See Also:
  Constant Field Values

### ATTRIBUTE

    public static final int ATTRIBUTE

See Also:
  Constant Field Values

### HDF5FILE

    public static final int HDF5FILE

See Also:
  Constant Field Values

### type

    protected int type

  the type of the object

### name

    protected String name

  the full path name of the HDF5 object

### shortName

    protected String shortName

  the short name for display: name without path

### id

    protected int id

  the identifier of the HDF5 object

### description

    protected String description

  the short description of the HDF5 object

Constructor Detail

### HDF5Object

    public HDF5Object()

  construct an HDF5 object with defaults

### HDF5Object

    public HDF5Object(String objName)

  cosntruct an HDF5Object object name

Parameters:
  `objName` - the name of the HDF5 data object

Method Detail

### init

    public void init()
              throws HDF5Exception

  initialize the HDF5Object: open the HDF5 library. A subclass of HDF5Object should override this method if it has initialization to perform.

  Throws:
    `HDF5Exception`

### setID

    public void setID(int new_id)
               throws HDF5Exception

  reset the HDF5Object for a given id

  Parameters:
    `new_id` - the id of the object
  Throws:
    `HDF5Exception`

### setShortName

    public void setShortName(String sname)

  Sets the short name of the HDF5Object

### getType

    public int getType()

  Returns the type of the object

### setType

    public void setType(int t)

  Sets the type of the object

### getName

    public String getName()

  Returns the full name of the HDF5Object

### getShortName

    public String getShortName()

  Returns the short name of the HDF5Object

### getDescription

    public String getDescription()

  Returns the description of the HDF5Object

### getID

    public int getID()

  Returns the identifier of the HDF5Object

### toString

    public String toString()

  Converts this object to a String representation.

  Returns:
    a string representation of this object